<?php
session_start();

date_default_timezone_set('America/Lima');
$script_tz = date_default_timezone_get();

include "verifica.php";
include("../conexion.php");
include "correlativos.php";
include "validaciones.php";

@$xautomatico=$_REQUEST['xautomatico'];	


@$xid_recuperado=$_REQUEST['xid_recuperado'];

@$xid=$_REQUEST['xid'];
@$xaccion=$_REQUEST['xaccion'];
@$xestado=$_REQUEST['xestado'];
@$xprd_codi=$_REQUEST['xprd_codi'];
@$xcotdet_codi=$_REQUEST['xcotdet_codi'];
@$xunimed_codi=$_REQUEST['xunimed_codi'];
@$xcotdet_precio=$_REQUEST['xcotdet_precio'];
@$xcotdet_cantidad=$_REQUEST['xcotdet_cantidad'];
@$xanotaciones=$_REQUEST['xanotaciones'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xfecha=$_REQUEST['xfecha'];
@$xproveedor=$_REQUEST['xproveedor'];
@$xpagotipo=$_REQUEST['xpagotipo'];

@$xpagodocumento=$_REQUEST['xpagodocumento'];
@$xndocumento=$_REQUEST['xndocumento'];


@$xidtrans=$_REQUEST['xidtrans'];
@$xidtrans_temporal=$_REQUEST['xidtrans_temporal'];

@$xmonto=$_REQUEST['xmonto'];
@$xdias=$_REQUEST['xdias'];

@$xfecha_entrega=$_REQUEST['xfecha_entrega'];

$rdetint = new Requerimientosinternosdetalle;



switch($xaccion){
	
	case "adicionar": 
		if($rdetint->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_pedidos_detalle').src = "requerimientos_internos_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>";	
			//alert("sisisi");     
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($rdetint->modificar($conexion)==1){
			//echo "modificar";						
			?>
			<script language="javascript">
			alert("Los cambios han sido guardados satisfactoriamente.");
			//parent.parent.location.href="../pedidos.php";		
			parent.parent.document.form_buscar.submit();
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($rdetint->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			//alert("Item eliminado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";
			
			//alert("essss");
			
			parent.parent.document.getElementById('frame_pedidos_detalle').src = "requerimientos_internos_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>";				
			</script>			
			<?php
			
		}		
		break;
		
	case "guardar_unidad":	
		?>			
		<script language="javascript">
		parent.parent.document.getElementById('d_img_espera').style.display = "block";
		parent.parent.document.getElementById('bt_enviar_formulario_cotizacion').disabled = true;
		</script>			
		<?php		
	
		if($rdetint->guardar_unidad($conexion)==1){
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";
			parent.parent.document.getElementById('bt_enviar_formulario_cotizacion').disabled = false;
			</script>			
			<?php
					
		}		
		break;		

	case "guardar_cantidad":
		?>			
		<script language="javascript">
		//alert("guardar cantidad....");
		
		parent.parent.document.getElementById('d_img_espera').style.display = "block";
		parent.parent.document.getElementById('bt_enviar_formulario_cotizacion').disabled = true;
		</script>			
		<?php		

		if($rdetint->guardar_cantidad($conexion)==1){
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";
			parent.parent.document.getElementById('bt_enviar_formulario_cotizacion').disabled = false;
			</script>			
			<?php
			
		}		
		break;		
		

	case "guardar_precio":
		?>			
		<script language="javascript">
		parent.parent.document.getElementById('d_img_espera').style.display = "block";
		parent.parent.document.getElementById('bt_enviar_formulario_cotizacion').disabled = true;
		</script>			
		<?php			
	
		if($rdetint->guardar_precio($conexion)==1){
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";
			parent.parent.document.getElementById('bt_enviar_formulario_cotizacion').disabled = false;
			</script>			
			<?php
			
		}		
		break;		
		
	case "guardar_nuevo_pedido":
		?>	
		<script language="javascript">
		//alert("guarda nuevo");
		</script>	
		<?php
		if($rdetint->guardar_nuevo_pedido($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//parent.parent.document.getElementById('xidtrans').value = "";	
			alert("Pedido guardado satisfactoriamente.");		
			//parent.parent.location.href="../pedidos.php";		
			parent.parent.document.form_buscar.submit();	
						
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;						

	case "adicionar_temporal_modificar": 
		if($rdetint->adicionar_temporal_modificar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_pedidos_detalle').src = "requerimientos_internos_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>";	
			//alert('sssss...');
			</script>			
			<?php
			
		}		
		break;
		
	case "generar_idtrans":
		if($rdetint->generar_idtrans($conexion)==1){
			//echo "generar_idtrans";
			?>			
			<script language="javascript">
			//alert("idtrans generado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		

	case "activar":
		if($rdetint->activar($conexion)==1){
			?>			
			<script language="javascript">
			//alert("aaa");
			</script>			
			<?php
			
		}		
		break;


	case "autorizar":
		if($rdetint->autorizar($conexion)==1){
			?>			
			<script language="javascript">
			//alert("aaa");
			</script>			
			<?php
			
		}		
		break;



	case "adicionar_temporal_recuperar_requerimiento": 
		if($rdetint->adicionar_temporal_recuperar_requerimiento($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>";
			parent.parent.busca_orden_cerrar();
			//alert('sssss...');
			
			</script>			
			<?php
			
		}		
		break;






}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");


class Requerimientosinternosdetalle{

	//Adiciona nuevo ITEM
	function adicionar($conexion){
		global $xid, $xprd_codi, $xidtrans,$xunimed_codi,$xcotdet_precio,$xidtrans_temporal;
		
		$xfechahora = date('Y-m-d H:i:s');				
		
		$r=mysqli_query($conexion,"INSERT INTO temporal_requerimiento_interno_detalle (reqintdet_fechahora, 
																					prd_codi_fk, 
																					idtrans, 
																					unimed_codi_fk,
																					reqintdet_precio,
																					idtrans_temporal) 
																		VALUES('$xfechahora',
																					$xprd_codi,
																					$xidtrans,
																					$xunimed_codi,
																					$xcotdet_precio,
																					'$xidtrans_temporal');");
				
		if($r){		
			return 1;
		}					
	}	


	//Guarda Modificaciones de orden de compra
	function modificar($conexion){

		global $xid,$xprc_codi,$xcotdet_codi,$xcotdet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones, $xusuario_sesion,$xpagodocumento,$xndocumento,$xmonto,$xmediopago,$cor,$xautomatico, $xdias, $xidtrans_temporal, $xfecha_entrega;													
		
		//ACTUALIZA LA CABECERA DE LA ORDEN DE PEDIDO
		$xanotaciones = preg_replace("[\n|\r|\n\r]", ' ', $xanotaciones);	
		
		$r2=mysqli_query($conexion,"UPDATE requerimientos_internos set reqint_fecha = '$xfecha',								 
														emp_codi_fk_proveedora = '$xproveedor',
														reqint_anotaciones = '$xanotaciones',
														reqint_usu_modifica = '$xusuario_sesion',
														reqint_dias = '$xdias',
														reqint_fecha_entrega = '$xfecha_entrega'		
												WHERE idtrans = '$xidtrans';");																						
		
		if($r2){	
		
				
			$r_trans = mysqli_query($conexion, "SELECT reqint_codi FROM requerimientos_internos r where idtrans='$xidtrans';");
			while($row_trans=mysqli_fetch_array($r_trans)){
				$xreqint_codi = $row_trans['reqint_codi'];
			}
		
		//ELIMINACI�N DE LOS DETALLES DE PEDIDO ELIMINADOS
			//$r_antiguos = mysqli_query($conexion,"SELECT o.* FROM cotizaciones_detalle o LEFT JOIN temporal_cotizacion_pedido_detalle t ON t.cotdet_codi_fk = o.cotdet_codi WHERE o.idtrans='$xidtrans' AND t.idtrans IS NULL order by o.cotdet_codi;");
			
			$r_antiguos = mysqli_query($conexion,"SELECT * from requerimientos_internos_detalle r 
								WHERE r.idtrans='$xidtrans' 
								order by r.reqintdet_codi;");						
			while($row_antiguos=mysqli_fetch_array($r_antiguos)){
				$xreqintdet_codi=$row_antiguos['reqintdet_codi'];
				
				$r_antiguos_verifica = mysqli_query($conexion,"SELECT * from temporal_requerimiento_internos_detalle t 
															WHERE t.reqintdet_codi_fk=$xreqintdet_codi AND 
															t.idtrans='$xidtrans' AND 
															t.idtrans_temporal='$xidtrans_temporal' 
															group by t.reqintdet_codi_fk 
															order by t.reqintdet_codi;");
				if(mysqli_num_rows($r_antiguos_verifica)==0){
								
					$r_elimina_antiguos = mysqli_query($conexion,"DELETE FROM requerimientos_internos_detalle 
															WHERE reqintdet_codi=$xreqintdet_codi;");	
				}		
			}
			
		//ACTUALIZACION DE LOS DETALLES DE PEDIDO MODIFICADOS
			$r_actualizados = mysqli_query($conexion,"SELECT o.reqintdet_codi as t_reqintdet_codi, t.* 
														FROM requerimientos_internos_detalle o 
														LEFT JOIN temporal_requerimiento_interno_detalle t ON t.reqintdet_codi_fk = o.reqintdet_codi 
														WHERE o.idtrans='$xidtrans' AND 
														t.idtrans_temporal='$xidtrans_temporal' AND 
														t.idtrans IS NOT NULL 
														order by o.reqintdet_codi;");
			while($row_actualizados=mysqli_fetch_array($r_actualizados)){
						
				$xcotdet_codi=$row_actualizados['t_reqintdet_codi'];
				$xprd_codi_fk=$row_actualizados['prd_codi_fk'];
				$xunimed_codi_fk=$row_actualizados['unimed_codi_fk'];
				$xreqintdet_precio=$row_actualizados['reqintdet_precio'];
				$xreqintdet_cantidad=$row_actualizados['reqintdet_cantidad'];
							
				$r_modifica_actualizados = mysqli_query($conexion,"UPDATE requerimientos_internos_detalle set unimed_codi_fk = $xunimed_codi_fk,
																									reqintdet_precio = $xreqintdet_precio,
																									reqintdet_cantidad = $xreqintdet_cantidad
																				 WHERE reqintdet_codi=$xreqintdet_codi;");
																				 				
			}
			
		
			
			
			//INSERCCION DE LOS NUEVOS DETALLES DE PEDIDOS
			$r1 = mysqli_query($conexion,"SELECT t.* 
										FROM temporal_requerimiento_interno_detalle t 
										LEFT JOIN requerimientos_internos_detalle o ON t.reqintdet_codi_fk = o.reqintdet_codi 
										WHERE t.idtrans='$xidtrans' AND 
										t.idtrans_temporal='$xidtrans_temporal' AND 
										o.idtrans IS NULL;");	
			
			while($row1=mysqli_fetch_array($r1)){
				?>			
				<script language="javascript">
				//alert("SSSSS2... <?php	echo $xidtrans; ?>");
				</script>			
				<?php				
			
				$xprd_codi_fk=$row1['prd_codi_fk'];
				$xunimed_codi_fk=$row1['unimed_codi_fk'];
				$xreqintdet_precio=$row1['reqintdet_precio'];
				$xreqintdet_cantidad=$row1['reqintdet_cantidad'];	
				
				$xfechahora = date('Y-m-d H:i:s');											
				
				$r=mysqli_query($conexion,"INSERT INTO requerimientos_internos_detalle (reqintdet_fechahora, 
																				prd_codi_fk,
																				unimed_codi_fk,
																				reqintdet_precio,
																				reqintdet_cantidad,
																				reqint_codi_fk,
																				idtrans) 
																		VALUES('$xfechahora',
																				$xprd_codi_fk,
																				$xunimed_codi_fk,
																				$xreqintdet_precio,
																				$xreqintdet_cantidad,
																				$xreqint_codi,
																				'$xidtrans');");				
			}




			/****** INICIO AUTOMATICO *******************/
			
			/****** FIN AUTOMATICO *******************/											
									
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_requerimiento_interno_detalle 
														WHERE idtrans='$xidtrans'  AND 
														idtrans_temporal='$xidtrans_temporal' ; ");		
			if($r_limpiando_temporal){		
				return 1;
			}				
			//return 1;		
		}			
	}	
	




	//Elimina
	function eliminar($conexion){
		global $xid,$xprc_codi,$xcotdet_codi;			
			?>			
			<script language="javascript">
			//alert("Eliminando.. <?php echo $xcotdet_codi; ?> ")
			</script>			
			<?php
			

		$r = mysqli_query($conexion,"delete from temporal_requerimiento_interno_detalle 
									where reqintdet_codi = $xcotdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		


	//Guarda unidad
	function guardar_unidad($conexion){
		global $xid,$xprc_codi,$xcotdet_codi,$xunimed_codi;		
		$r = mysqli_query($conexion,"update temporal_requerimiento_interno_detalle set unimed_codi_fk='$xunimed_codi' 
																		where reqintdet_codi = $xreqintdet_codi;");		
		if($r){		
			return 1;
		}	
	}		


	//Guarda cantidad
	function guardar_cantidad($conexion){
		global $xid,$xprc_codi,$xcotdet_codi,$xcotdet_cantidad;		

		$r = mysqli_query($conexion,"update temporal_requerimiento_interno_detalle set reqintdet_cantidad='$xcotdet_cantidad' 
																		where reqintdet_codi = $xcotdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		

	//Guarda precio
	function guardar_precio($conexion){
		global $xid,$xprc_codi,$xcotdet_codi,$xcotdet_precio;		

		$r = mysqli_query($conexion,"update temporal_requerimiento_interno_detalle set reqintdet_precio='$xreqintdet_precio' 
																		where reqintdet_codi = $xreqintdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		



	//Guarda nuevp pedido
	function guardar_nuevo_pedido($conexion){
		
		global $xid,$xprc_codi,$xcotdet_codi,$xcotdet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones,$xusuario_sesion,$xmonto,$xpagodocumento,$xndocumento,$cor,$vali,$xdias, $xfecha_entrega;			

		$correlativo = $cor->requerimiento_interno($conexion);		
		$correlativo_cotizacion=$correlativo;
		
		$s_igv = $_SESSION['s_igv'];		
		$s_empresa = $_SESSION['s_empresa'];
		
		$xfechahora = date('Y-m-d H:i:s');						
		
		$xanotaciones = preg_replace("[\n|\r|\n\r]", ' ', $xanotaciones);	
		
		
		/*
		$xxsql =  "INSERT INTO requerimientos_internos (reqint_fechahora, reqint_fecha, reqint_numero, per_codi_fk, idtrans, reqint_anotaciones, reqint_usu_crea, reqint_igv_porcentaje, reqint_dias, emp_codi_fk, reqint_fecha_entrega) VALUES('$xfechahora', '$xfecha', '$correlativo', $xproveedor, '$xidtrans', '$xanotaciones', '$xusuario_sesion', $s_igv, '$xdias', '$s_empresa', '$xfecha_entrega');";
		*/
		
		$r2=mysqli_query($conexion,"INSERT INTO requerimientos_internos (reqint_fechahora,
																		reqint_fecha,
																		reqint_numero,																		
																		emp_codi_fk_proveedora,
																		idtrans,
																		reqint_anotaciones,
																		reqint_usu_crea,
																		reqint_igv_porcentaje,
																		reqint_dias,
																		emp_codi_fk,
																		reqint_fecha_entrega) 
																VALUES('$xfechahora',
																		'$xfecha',
																		'$correlativo',
																		$xproveedor,
																		'$xidtrans',
																		'$xanotaciones',
																		'$xusuario_sesion',
																		$s_igv,
																		'$xdias',
																		'$s_empresa',
																		'$xfecha_entrega');");				
		
		if($r2){	
				
			$r_trans = mysqli_query($conexion, "SELECT reqint_codi FROM requerimientos_internos r where idtrans='$xidtrans';");
			while($row_trans=mysqli_fetch_array($r_trans)){
				$xreqint_codi=$row_trans['reqint_codi'];				
			}
			
		
			$r1 = mysqli_query($conexion,"SELECT * 
											FROM temporal_requerimiento_interno_detalle r 
											WHERE idtrans='$xidtrans' 
											order by reqintdet_codi;");	
			while($row1=mysqli_fetch_array($r1)){
		
				$xprd_codi_fk=$row1['prd_codi_fk'];
				$xunimed_codi_fk=$row1['unimed_codi_fk'];
				$xreqintdet_precio=$row1['reqintdet_precio'];
				$xreqintdet_cantidad=$row1['reqintdet_cantidad'];		
				
				$xfechahora = date('Y-m-d H:i:s');										
				
				$r=mysqli_query($conexion,"INSERT INTO requerimientos_internos_detalle (reqintdet_fechahora, 
																				prd_codi_fk,
																				unimed_codi_fk,
																				reqintdet_precio,
																				reqintdet_cantidad,
																				reqint_codi_fk,
																				idtrans) 
																		VALUES('$xfechahora',
																				$xprd_codi_fk,
																				$xunimed_codi_fk,
																				$xreqintdet_precio,
																				$xreqintdet_cantidad,
																				$xreqint_codi,
																				'$xidtrans');");				
			}									
												
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_requerimiento_interno_detalle WHERE idtrans='$xidtrans'; ");	
	
			if($r_limpiando_temporal){		
				
				?>			
				<script language="javascript">
				alert("Requerimiento interno guardado satisfactoriamente.")
				//parent.parent.location.href="../pedidos.php";
				parent.parent.document.form_buscar.submit();
				r = confirm("Desea Imprimir el requerimiento interno?");
				if(r){
					parent.parent.imprimir_requerimiento_interno_formato2('<?php echo md5($xreqint_codi); ?>');
				}else{
					//parent.parent.location.href="../cotizaciones_pedidos.php";					
					parent.parent.document.form_buscar.submit();	
														
				}					
				</script>			
				<?php
										
				//return 1;
			}	
		
		}		

	}		



	//Adiciona temporal para modificar
	function adicionar_temporal_modificar($conexion){	
	?>
	<script language="javascript">
	//alert("111222");
	</script>
	<?PHP
		global $xid, $xidtrans, $xidtrans_temporal;		
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_requerimiento_interno_detalle 
													WHERE idtrans='$xidtrans' 
													AND idtrans_temporal='$xidtrans_temporal'; ");	
	
			if($r_limpiando_temporal){						
				//$r2=mysqli_query($conexion,"SELECT od.* FROM orden_pedido_detalle od INNER JOIN orden_pedido o ON od.ordped_codi_fk=o.ordped_codi WHERE o.idtrans='$xidtrans' order by ordpeddet_codi;");
								
				$r1 = mysqli_query($conexion,"SELECT od.* 
												FROM requerimientos_internos_detalle od 
												INNER JOIN requerimientos_internos o ON od.reqint_codi_fk=o.reqint_codi 
												WHERE o.idtrans='$xidtrans' 
												order by reqintdet_codi;");	
				while($row1=mysqli_fetch_array($r1)){
				
					?>			
					<script language="javascript">
					//alert('sssssi...111 <?php echo $xidtrans; ?>');
					</script>		 	
					<?php				
				
					$xprd_codi_fk=$row1['prd_codi_fk'];
					$xunimed_codi_fk=$row1['unimed_codi_fk'];
					$xreqintdet_precio=$row1['reqintdet_precio'];
					$xreqintdet_cantidad=$row1['reqintdet_cantidad'];		
					$xreqintdet_codi=$row1['reqintdet_codi'];			
					
					$xreqint_codi_fk = $row1['reqint_codi_fk'];
					
					$xfechahora = date('Y-m-d H:i:s');															
					
					$r=mysqli_query($conexion,"INSERT INTO temporal_requerimiento_interno_detalle (reqintdet_fechahora, 
																					prd_codi_fk,
																					unimed_codi_fk,
																					reqintdet_precio,
																					reqintdet_cantidad,
																					reqint_codi_fk,
																					idtrans,
																					idtrans_temporal) 
																			VALUES('$xfechahora',
																					$xprd_codi_fk,
																					$xunimed_codi_fk,
																					$xreqintdet_precio,
																					$xreqintdet_cantidad,
																					$xreqint_codi_fk,
																					'$xidtrans',
																					'$xidtrans_temporal');");				
				}							
			}						
				
		//$r=mysqli_query($conexion,"INSERT INTO temporal_orden_pedido_detalle (ordpeddet_fechahora, prd_codi_fk, idtrans) VALUES(NOW(),$xprd_codi,$xidtrans);");
				
		//if($r){		
			return 1;
		//}	
				
	}	



	//Generar Idtrans	
	function generar_idtrans(){
							
		$nu = "9999999999"; 
		$xnu = time().rand(1,$nu);
		
		?>			
		<script language="javascript">
		parent.document.getElementById('xidtrans').value = "<?php echo $xnu; ?>";
		</script>			
		<?php
		
		return 1;	

	}



	//Activa una compra
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;			

				?>
				<script language="javascript">
				//alert("eSTADO. <?php  ?> ")
				</script>			
				<?php


		$r = mysqli_query($conexion,"update requerimientos_internos set reqint_estado = $xestado,
															 reqint_usu_activa = '$xusuario_sesion' 
													   where reqint_codi = $xid;");
		
		if($r){		

			return 1;
		}		
	}	
	
	
	
	

	//Autorizar
	function autorizar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;			
				?>
				<script language="javascript">
				//alert("eSTADO. <?php  ?> ")
				</script>			
				<?php

		$r = mysqli_query($conexion,"update requerimientos_internos set reqint_autoriza_web = $xestado 
													   where reqint_codi = $xid;");		
		if($r){		
			return 1;
		}		
	}	

	
	
	


	// recuperar
	function adicionar_temporal_recuperar_requerimiento($conexion){
		global $xid, $xidtrans, $xid_recuperado, $xop2, $xidtrans_temporal;
						
				$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_requerimiento_interno_detalle 
															WHERE idtrans='$xidtrans' 
															AND idtrans_temporal='$xidtrans_temporal'; ");	
		
				if($r_limpiando_temporal){										
					
					//$r1=mysqli_query($conexion,"SELECT od.* FROM orden_pedido_detalle od INNER JOIN orden_pedido o ON od.ordped_codi_fk=o.ordped_codi WHERE o.ordped_codi=$xid_recuperado order by ordpeddet_codi;");	
					
					$r1=mysqli_query($conexion,"SELECT cd.* FROM requerimientos_detalle cd 
											INNER JOIN requerimientos c ON cd.req_codi_fk=c.req_codi 
											WHERE c.req_codi=$xid_recuperado 
											order by cd.reqdet_codi;");	
										
					$xopealmdet_cantidad=0;
					
					while($row1=mysqli_fetch_array($r1)){													
															
						$xprd_codi_fk = $row1['prd_codi_fk'];
						$xunimed_codi_fk = $row1['unimed_codi_fk'];
						$xordpeddet_cantidad = $row1['reqdet_cantidad'];	
						$xordpeddet_precio = $row1['reqdet_precio'];
						//$xopealmdet_codi=$row1['opealmdet_codi'];
						//$xopealm_codi_fk=$row1['opealm_codi_fk'];	
												
						$xprd_afecto_igv = 0;
						$r_unidad = mysqli_query($conexion,"SELECT prd_unidad_minima, prd_afecto_igv, prd_afecto_isc 
															FROM productos p 
															WHERE prd_codi = $xprd_codi_fk;");
						while($row_unidad = mysqli_fetch_array($r_unidad)){
							//$xprd_unidad_minima = $row_unidad['prd_unidad_minima'];
							$xprd_afecto_igv = $row_unidad['prd_afecto_igv'];
							$xprd_afecto_isc = $row_unidad['prd_afecto_isc'];							
						}
																	
	
						$xfechahora = date('Y-m-d H:i:s');			
	
						$r=mysqli_query($conexion,"INSERT INTO temporal_orden_compra_detalle (ordcomdet_fechahora, 
																						prd_codi_fk,
																						unimed_codi_fk,
																						ordcomdet_cantidad,
																						ordcomdet_precio,																						
																						idtrans,
																						idtrans_temporal,
																						ordcomdet_igv_afectado,
																						ordcomdet_isc_afectado
																						) 
																				VALUES('$xfechahora',
																						$xprd_codi_fk,
																						$xunimed_codi_fk,
																						$xordpeddet_cantidad,
																						$xordpeddet_precio,																						
																						'$xidtrans',
																						'$xidtrans_temporal',
																						'$xprd_afecto_igv',
																						'$xprd_afecto_isc');");																														
					}
									
				}			
	
				
				return 1;
				
	}		
	
	



}








?>

